	subroutine errrec( status )
c
c *** declarations
c
	integer*4	status,	sys$putmsg,	msg_stat,	arg_vct(2)
	integer*2	s_arg_vct(4)
c
	equivalence(	arg_vct,	s_arg_vct	)
c
	s_arg_vct( 1 ) = 1
	s_arg_vct( 2 ) = 0
	arg_vct( 2 ) = status
	msg_stat = sys$putmsg( arg_vct, , , )
	if ( .not. msg_stat ) stop '-RMDEMO-F-NORECOV, unable to recover.'
c
	return
	end
